Subject: Re: [PATCH] usage.c: remove unused functions

From: "Shawn O. Pearce" <[email-masked]>
Date: Thu, 25 Sep 2008 07:51:34 -0700

Petr Baudis <[email-masked]> wrote:
> On Thu, Sep 25, 2008 at 01:48:37PM +0200, Thomas Rast wrote:
> > Nanako Shiraishi wrote:
> > > This removes three functions that are not used anywhere.
> > [...]
> > > -void set_usage_routine(void (*routine)(const char *err) NORETURN)
> > > -void set_error_routine(void (*routine)(const char *err, va_list params))
> > > -void set_warn_routine(void (*routine)(const char *warn, va_list params))
> > 
> > These blame to the following commit:
> > 
> >   commit 39a3f5ea7c0352a530338d30d4e618f6b4db84e4
> >   Author: Petr Baudis <[email-masked]>
> > 
> >       Customizable error handlers
...
> > So apparently the intent was that they would only be used from outside
> > Git.  I don't know whether anyone still plans to do that, but they're
> > certainly not "just" unused.
> 
> I don't think it will be a big deal to remove these functions, though it
> does feel like a little bit of a step backwards in the libgit efforts.
> There are some programs that already link to Git, like CGit - I wonder
> if some of them don't use them (CGit itself doesn't).

IMHO these are useless for a "libgit".  However both tig and
cgit link to the non-existant libgit.a, so they may be using
these routines.  I've CC'd their authors and am not applying this
particular change without an ACK from them.

-- 
Shawn.